public class TestPassArray {
  /** Metoda main */
  public static void main(String[] args) {
    int[] a = {1, 2};

    // Przestawianie elementów za pomocą metody swap
    System.out.println("Przed wywołaniem swap");
    System.out.println("Zawartość tablicy to {" + a[0] + ", " + a[1] + "}");
    swap(a[0], a[1]);
    System.out.println("Po wywołaniu swap");
    System.out.println("Zawartość tablicy to {" + a[0] + ", " + a[1] + "}");

    // Przestawianie elementów za pomocą metody swapFirstTwoInArray
    System.out.println("Przed wywołaniem swapFirstTwoInArray");
    System.out.println("Zawartość tablicy to {" + a[0] + ", " + a[1] + "}");
    swapFirstTwoInArray(a);
    System.out.println("Po wywołaniu swapFirstTwoInArray");
    System.out.println("Zawartość tablicy to {" + a[0] + ", " + a[1] + "}");
  }

  /** Przestawia wartości dwóch zmiennych */
  public static void swap(int n1, int n2) {
    int temp = n1;
    n1 = n2;
    n2 = temp;
  }

  /** Przestawia dwa pierwsze elementy tablicy */
  public static void swapFirstTwoInArray(int[] array) {
    int temp = array[0];
    array[0] = array[1];
    array[1] = temp;
  }
}
